diff --git a/src/providers/data_provider_be.c b/src/providers/data_provider_be.c
index 6b58d88..b5ed641 100644
--- a/src/providers/data_provider_be.c
+++ b/src/providers/data_provider_be.c
@@ -313,21 +313,21 @@ static errno_t be_queue_request(TALLOC_CTX *queue_mem_ctx,
     int ret;
 
     if (*req_queue == NULL) {
-        DEBUG(SSSDBG_TRACE_ALL, ("Queue is empty, " \
-                                 "running request immediately.\n"));
+        DEBUG(SSSDBG_TRACE_ALL, "Queue is empty, " \
+                                 "running request immediately.\n");
         ret = be_file_request(req_mem_ctx, be_req, fn);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("be_file_request failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "be_file_request failed.\n");
             return ret;
         }
     }
 
     item = talloc_zero(queue_mem_ctx, struct bet_queue_item);
     if (item == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_zero failed, cannot add item to " \
-                                  "request queue.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_zero failed, cannot add item to " \
+                                  "request queue.\n");
     } else {
-        DEBUG(SSSDBG_TRACE_ALL, ("Adding request to queue.\n"));
+        DEBUG(SSSDBG_TRACE_ALL, "Adding request to queue.\n");
         item->mem_ctx = req_mem_ctx;
         item->be_req = be_req;
         item->fn = fn;
@@ -355,7 +355,7 @@ static void be_queue_next_request(struct be_req *be_req, enum bet_type type)
     req_queue = &be_req->becli->bectx->bet_info[type].req_queue;
 
     if (*req_queue == NULL) {
-        DEBUG(SSSDBG_TRACE_ALL, ("Queue is empty, nothing to do.\n"));
+        DEBUG(SSSDBG_TRACE_ALL, "Queue is empty, nothing to do.\n");
         return;
     }
 
@@ -371,7 +371,7 @@ static void be_queue_next_request(struct be_req *be_req, enum bet_type type)
     }
 
     if (*req_queue == NULL) {
-        DEBUG(SSSDBG_TRACE_ALL, ("Request queue is empty.\n"));
+        DEBUG(SSSDBG_TRACE_ALL, "Request queue is empty.\n");
         return;
     }
 
@@ -379,11 +379,11 @@ static void be_queue_next_request(struct be_req *be_req, enum bet_type type)
 
     ret = be_file_request((*req_queue)->mem_ctx, next_be_req, (*req_queue)->fn);
     if (ret == EOK) {
-        DEBUG(SSSDBG_TRACE_ALL, ("Queued request filed successfully.\n"));
+        DEBUG(SSSDBG_TRACE_ALL, "Queued request filed successfully.\n");
         return;
     }
 
-    DEBUG(SSSDBG_OP_FAILURE, ("be_file_request failed.\n"));
+    DEBUG(SSSDBG_OP_FAILURE, "be_file_request failed.\n");
 
     be_queue_next_request(next_be_req, type);
 
@@ -404,14 +404,14 @@ static void be_queue_next_request(struct be_req *be_req, enum bet_type type)
                                          DBUS_TYPE_INVALID);
 
         if (!dbret) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to generate dbus reply\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to generate dbus reply\n");
             dbus_message_unref(reply);
             goto done;
         }
 
         dbus_conn = sbus_get_connection(next_be_req->becli->conn);
         if (dbus_conn == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("D-BUS not connected\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "D-BUS not connected\n");
             goto done;
         }
         dbus_connection_send(dbus_conn, reply, NULL);
@@ -437,7 +437,7 @@ bool be_is_offline(struct be_ctx *ctx)
 
 void be_mark_offline(struct be_ctx *ctx)
 {
-    DEBUG(8, ("Going offline!\n"));
+    DEBUG(8, "Going offline!\n");
 
     ctx->offstat.went_offline = time(NULL);
     ctx->offstat.offline = true;
@@ -494,9 +494,9 @@ static void get_subdomains_callback(struct be_req *req,
     dbus_uint32_t err_min = 0;
     const char *err_msg = NULL;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Backend returned: (%d, %d, %s) [%s]\n",
+    DEBUG(SSSDBG_TRACE_FUNC, "Backend returned: (%d, %d, %s) [%s]\n",
               dp_err_type, errnum, errstr?errstr:"<NULL>",
-              dp_pam_err_to_string(req, dp_err_type, errnum)));
+              dp_pam_err_to_string(req, dp_err_type, errnum));
 
     be_queue_next_request(req, BET_SUBDOMAINS);
 
@@ -516,7 +516,7 @@ static void get_subdomains_callback(struct be_req *req,
         }
         if (!err_msg) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Failed to set err_msg, Out of memory?\n"));
+                  "Failed to set err_msg, Out of memory?\n");
             err_msg = "OOM";
         }
 
@@ -527,14 +527,14 @@ static void get_subdomains_callback(struct be_req *req,
                                          DBUS_TYPE_INVALID);
 
         if (!dbret) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to generate dbus reply\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to generate dbus reply\n");
             dbus_message_unref(reply);
             goto done;
         }
 
         dbus_conn = sbus_get_connection(req->becli->conn);
         if (dbus_conn == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("D-BUS not connected\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "D-BUS not connected\n");
             goto done;
         }
         dbus_connection_send(dbus_conn, reply, NULL);
@@ -573,7 +573,7 @@ static int be_get_subdomains(DBusMessage *message, struct sbus_connection *conn)
                                 DBUS_TYPE_STRING, &domain_hint,
                                 DBUS_TYPE_INVALID);
     if (!ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE,("Failed, to parse message!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE,"Failed, to parse message!\n");
         if (dbus_error_is_set(&dbus_error)) dbus_error_free(&dbus_error);
         return EIO;
     }
@@ -583,7 +583,7 @@ static int be_get_subdomains(DBusMessage *message, struct sbus_connection *conn)
 
     /* return an error if corresponding backend target is not configured */
     if (becli->bectx->bet_info[BET_SUBDOMAINS].bet_ops == NULL) {
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Undefined backend target.\n"));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Undefined backend target.\n");
         err_maj = DP_ERR_FATAL;
         err_min = ENODEV;
         err_msg = "Subdomains back end target is not configured";
@@ -591,13 +591,13 @@ static int be_get_subdomains(DBusMessage *message, struct sbus_connection *conn)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Got get subdomains [%sforced][%s]\n", force ? "" : "not ",
-          domain_hint == NULL ? "no hint": domain_hint ));
+          "Got get subdomains [%sforced][%s]\n", force ? "" : "not ",
+          domain_hint == NULL ? "no hint": domain_hint );
 
     /* If we are offline return immediately
      */
     if (becli->bectx->offstat.offline) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Cannot proceed, provider is offline.\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Cannot proceed, provider is offline.\n");
         err_maj = DP_ERR_OFFLINE;
         err_min = EAGAIN;
         err_msg = "Provider is offline";
@@ -659,14 +659,14 @@ immediate:
                                          DBUS_TYPE_STRING, &err_msg,
                                          DBUS_TYPE_INVALID);
         if (!dbret) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to generate dbus reply\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to generate dbus reply\n");
             dbus_message_unref(reply);
             return EIO;
         }
 
         if (!(err_maj == DP_ERR_FATAL && err_min == ENODEV)) {
-            DEBUG(SSSDBG_TRACE_LIBS, ("Request processed. Returned %d,%d,%s\n",
-                  err_maj, err_min, err_msg));
+            DEBUG(SSSDBG_TRACE_LIBS, "Request processed. Returned %d,%d,%s\n",
+                  err_maj, err_min, err_msg);
         }
 
         /* send reply back */
@@ -705,7 +705,7 @@ static void acctinfo_callback(struct be_req *req,
             err_msg = dp_pam_err_to_string(req, dp_err_type, errnum);
         }
         if (!err_msg) {
-            DEBUG(1, ("Failed to set err_msg, Out of memory?\n"));
+            DEBUG(1, "Failed to set err_msg, Out of memory?\n");
             err_msg = "OOM";
         }
 
@@ -715,21 +715,21 @@ static void acctinfo_callback(struct be_req *req,
                                          DBUS_TYPE_STRING, &err_msg,
                                          DBUS_TYPE_INVALID);
         if (!dbret) {
-            DEBUG(1, ("Failed to generate dbus reply\n"));
+            DEBUG(1, "Failed to generate dbus reply\n");
             return;
         }
 
         dbus_conn = sbus_get_connection(req->becli->conn);
         if (!dbus_conn) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("D-BUS not connected\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "D-BUS not connected\n");
             return;
         }
 
         dbus_connection_send(dbus_conn, reply, NULL);
         dbus_message_unref(reply);
 
-        DEBUG(4, ("Request processed. Returned %d,%d,%s\n",
-                  err_maj, err_min, err_msg));
+        DEBUG(4, "Request processed. Returned %d,%d,%s\n",
+                  err_maj, err_min, err_msg);
     }
 
     /* finally free the request */
@@ -783,7 +783,7 @@ static void acctinfo_initgroups_callback(struct be_req *be_req,
     pr->orig_errstr = errstr;
 
     if (!be_req->be_ctx->nss_cli || !be_req->be_ctx->nss_cli->conn) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("NSS Service not conected\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "NSS Service not conected\n");
         ret = EACCES;
         goto done;
     }
@@ -794,7 +794,7 @@ static void acctinfo_initgroups_callback(struct be_req *be_req,
                                        DP_INTERFACE,
                                        DP_REV_METHOD_INITGR_CHECK);
     if (!msg) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory?!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory?!\n");
         ret = ENOMEM;
         goto done;
     }
@@ -806,7 +806,7 @@ static void acctinfo_initgroups_callback(struct be_req *be_req,
                                      &pr->groups, pr->gnum,
                                      DBUS_TYPE_INVALID);
     if (!dbret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory?!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory?!\n");
         ret = ENOMEM;
         goto done;
     }
@@ -816,8 +816,8 @@ static void acctinfo_initgroups_callback(struct be_req *be_req,
                          acctinfo_callback_initgr_sbus, be_req, NULL);
     if (ret != EOK) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Error contacting NSS responder: %d [%s]\n",
-               ret, strerror(ret)));
+              "Error contacting NSS responder: %d [%s]\n",
+               ret, strerror(ret));
     }
 
 done:
@@ -904,7 +904,7 @@ be_file_account_request(struct be_req *be_req, struct be_acct_req *ar)
     if ((ar->entry_type & 0xFF) == BE_REQ_INITGROUPS) {
         ret = be_initgroups_prereq(be_req);
         if (ret) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Prerequest failed"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Prerequest failed");
             return ret;
         }
     }
@@ -913,7 +913,7 @@ be_file_account_request(struct be_req *be_req, struct be_acct_req *ar)
     ret = be_file_request(be_ctx, be_req,
                           be_ctx->bet_info[BET_ID].bet_ops->handler);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to file request"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to file request");
         return ret;
     }
 
@@ -1080,12 +1080,12 @@ static int be_get_account_info(DBusMessage *message, struct sbus_connection *con
                                 DBUS_TYPE_STRING, &domain,
                                 DBUS_TYPE_INVALID);
     if (!ret) {
-        DEBUG(1,("Failed, to parse message!\n"));
+        DEBUG(1,"Failed, to parse message!\n");
         if (dbus_error_is_set(&dbus_error)) dbus_error_free(&dbus_error);
         return EIO;
     }
 
-    DEBUG(4, ("Got request for [%u][%d][%s]\n", type, attr_type, filter));
+    DEBUG(4, "Got request for [%u][%d][%s]\n", type, attr_type, filter);
 
     reply = dbus_message_new_method_return(message);
     if (!reply) return ENOMEM;
@@ -1106,8 +1106,8 @@ static int be_get_account_info(DBusMessage *message, struct sbus_connection *con
                                          DBUS_TYPE_INVALID);
         if (!dbret) return EIO;
 
-        DEBUG(4, ("Request processed. Returned %d,%d,%s\n",
-                  err_maj, err_min, err_msg));
+        DEBUG(4, "Request processed. Returned %d,%d,%s\n",
+                  err_maj, err_min, err_msg);
 
         sbus_conn_send_reply(conn, reply);
         dbus_message_unref(reply);
@@ -1220,8 +1220,8 @@ done:
                                          DBUS_TYPE_INVALID);
         if (!dbret) return EIO;
 
-        DEBUG(4, ("Request processed. Returned %d,%d,%s\n",
-                  err_maj, err_min, err_msg));
+        DEBUG(4, "Request processed. Returned %d,%d,%s\n",
+                  err_maj, err_min, err_msg);
 
         /* send reply back */
         sbus_conn_send_reply(conn, reply);
@@ -1243,9 +1243,9 @@ static void be_pam_handler_callback(struct be_req *req,
     dbus_bool_t dbret;
     errno_t ret;
 
-    DEBUG(4, ("Backend returned: (%d, %d, %s) [%s]\n",
+    DEBUG(4, "Backend returned: (%d, %d, %s) [%s]\n",
               dp_err_type, errnum, errstr?errstr:"<NULL>",
-              dp_pam_err_to_string(req, dp_err_type, errnum)));
+              dp_pam_err_to_string(req, dp_err_type, errnum));
 
     pd = talloc_get_type(be_req_get_data(req), struct pam_data);
 
@@ -1255,8 +1255,8 @@ static void be_pam_handler_callback(struct be_req *req,
         dp_err_type == DP_ERR_OK) {
         if (!becli->bectx->bet_info[BET_SELINUX].bet_ops) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("SELinux provider doesn't exist, "
-                   "not sending the request to it.\n"));
+                  "SELinux provider doesn't exist, "
+                   "not sending the request to it.\n");
         } else {
             req->phase = REQ_PHASE_SELINUX;
 
@@ -1265,32 +1265,32 @@ static void be_pam_handler_callback(struct be_req *req,
                                   req,
                                   becli->bectx->bet_info[BET_SELINUX].bet_ops->handler);
             if (ret != EOK) {
-                DEBUG(SSSDBG_OP_FAILURE, ("be_file_request failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "be_file_request failed.\n");
                 goto done;
             }
             return;
         }
     }
 
-    DEBUG(4, ("Sending result [%d][%s]\n", pd->pam_status, pd->domain));
+    DEBUG(4, "Sending result [%d][%s]\n", pd->pam_status, pd->domain);
     reply = (DBusMessage *)req->pvt;
     dbret = dp_pack_pam_response(reply, pd);
     if (!dbret) {
-        DEBUG(1, ("Failed to generate dbus reply\n"));
+        DEBUG(1, "Failed to generate dbus reply\n");
         dbus_message_unref(reply);
         goto done;
     }
 
     dbus_conn = sbus_get_connection(req->becli->conn);
     if (!dbus_conn) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("D-BUS not connected\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "D-BUS not connected\n");
         goto done;
     }
 
     dbus_connection_send(dbus_conn, reply, NULL);
     dbus_message_unref(reply);
 
-    DEBUG(4, ("Sent result [%d][%s]\n", pd->pam_status, pd->domain));
+    DEBUG(4, "Sent result [%d][%s]\n", pd->pam_status, pd->domain);
 
 done:
     talloc_free(req);
@@ -1314,14 +1314,14 @@ static int be_pam_handler(DBusMessage *message, struct sbus_connection *conn)
 
     reply = dbus_message_new_method_return(message);
     if (!reply) {
-        DEBUG(1, ("dbus_message_new_method_return failed, cannot send reply.\n"));
+        DEBUG(1, "dbus_message_new_method_return failed, cannot send reply.\n");
         return ENOMEM;
     }
 
     be_req = be_req_create(becli, becli, becli->bectx,
                            be_pam_handler_callback, reply);
     if (!be_req) {
-        DEBUG(7, ("talloc_zero failed.\n"));
+        DEBUG(7, "talloc_zero failed.\n");
         dbus_message_unref(reply);
         return ENOMEM;
     }
@@ -1330,7 +1330,7 @@ static int be_pam_handler(DBusMessage *message, struct sbus_connection *conn)
 
     ret = dp_unpack_pam_request(message, be_req, &pd, &dbus_error);
     if (!ret) {
-        DEBUG(1,("Failed, to parse message!\n"));
+        DEBUG(1,"Failed, to parse message!\n");
         talloc_free(be_req);
         return EIO;
     }
@@ -1345,7 +1345,7 @@ static int be_pam_handler(DBusMessage *message, struct sbus_connection *conn)
     }
 
 
-    DEBUG(4, ("Got request with the following data\n"));
+    DEBUG(4, "Got request with the following data\n");
     DEBUG_PAM_DATA(4, pd);
 
     switch (pd->cmd) {
@@ -1367,7 +1367,7 @@ static int be_pam_handler(DBusMessage *message, struct sbus_connection *conn)
             goto done;
             break;
         default:
-            DEBUG(7, ("Unsupported PAM command [%d].\n", pd->cmd));
+            DEBUG(7, "Unsupported PAM command [%d].\n", pd->cmd);
             pd->pam_status = PAM_MODULE_UNKNOWN;
             goto done;
     }
@@ -1376,7 +1376,7 @@ static int be_pam_handler(DBusMessage *message, struct sbus_connection *conn)
      * configured
      */
     if (!becli->bectx->bet_info[target].bet_ops) {
-        DEBUG(7, ("Undefined backend target.\n"));
+        DEBUG(7, "Undefined backend target.\n");
         pd->pam_status = PAM_MODULE_UNKNOWN;
         goto done;
     }
@@ -1387,7 +1387,7 @@ static int be_pam_handler(DBusMessage *message, struct sbus_connection *conn)
                           be_req,
                           becli->bectx->bet_info[target].bet_ops->handler);
     if (ret != EOK) {
-        DEBUG(7, ("be_file_request failed.\n"));
+        DEBUG(7, "be_file_request failed.\n");
         goto done;
     }
 
@@ -1395,12 +1395,12 @@ static int be_pam_handler(DBusMessage *message, struct sbus_connection *conn)
 
 done:
 
-    DEBUG(4, ("Sending result [%d][%s]\n",
-              pd->pam_status, pd->domain));
+    DEBUG(4, "Sending result [%d][%s]\n",
+              pd->pam_status, pd->domain);
 
     ret = dp_pack_pam_response(reply, pd);
     if (!ret) {
-        DEBUG(1, ("Failed to generate dbus reply\n"));
+        DEBUG(1, "Failed to generate dbus reply\n");
         talloc_free(be_req);
         dbus_message_unref(reply);
         return EIO;
@@ -1436,16 +1436,16 @@ static void be_sudo_handler_reply(struct sbus_connection *conn,
                                      DBUS_TYPE_STRING, &err_msg,
                                      DBUS_TYPE_INVALID);
     if (!dbret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to generate dbus reply\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to generate dbus reply\n");
         return;
     }
 
-    DEBUG(SSSDBG_FUNC_DATA, ("SUDO Backend returned: (%d, %d, %s)\n",
-                             dp_err, dp_ret, errstr ? errstr : "<NULL>"));
+    DEBUG(SSSDBG_FUNC_DATA, "SUDO Backend returned: (%d, %d, %s)\n",
+                             dp_err, dp_ret, errstr ? errstr : "<NULL>");
 
     dbus_conn = sbus_get_connection(conn);
     if (!dbus_conn) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("D-BUS not connected\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "D-BUS not connected\n");
         return;
     }
 
@@ -1483,7 +1483,7 @@ static int be_sudo_handler(DBusMessage *message, struct sbus_connection *conn)
     const char *err_msg = NULL;
     int i;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Entering be_sudo_handler()\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Entering be_sudo_handler()\n");
 
     user_data = sbus_conn_get_private_data(conn);
     if (user_data == NULL) {
@@ -1498,7 +1498,7 @@ static int be_sudo_handler(DBusMessage *message, struct sbus_connection *conn)
     reply = dbus_message_new_method_return(message);
     if (!reply) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("dbus_message_new_method_return failed, cannot send reply.\n"));
+              "dbus_message_new_method_return failed, cannot send reply.\n");
         return ENOMEM;
     }
 
@@ -1506,7 +1506,7 @@ static int be_sudo_handler(DBusMessage *message, struct sbus_connection *conn)
     be_req = be_req_create(be_cli, be_cli, be_cli->bectx,
                            be_sudo_handler_callback, reply);
     if (be_req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_zero failed.\n");
         dbus_message_unref(reply);
         return ENOMEM;
     }
@@ -1516,7 +1516,7 @@ static int be_sudo_handler(DBusMessage *message, struct sbus_connection *conn)
 
     /* get type of the request */
     if (dbus_message_iter_get_arg_type(&iter) != DBUS_TYPE_UINT32) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed, to parse the message!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed, to parse the message!\n");
         ret = EIO;
         err_msg = "Invalid D-Bus message format";
         goto fail;
@@ -1542,7 +1542,7 @@ static int be_sudo_handler(DBusMessage *message, struct sbus_connection *conn)
     /* get and set sudo request data */
     sudo_req = talloc_zero(be_req, struct be_sudo_req);
     if (sudo_req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_zero failed.\n");
         goto fail;
     }
 
@@ -1560,7 +1560,7 @@ static int be_sudo_handler(DBusMessage *message, struct sbus_connection *conn)
          */
         /* read rules_num */
         if (dbus_message_iter_get_arg_type(&iter) != DBUS_TYPE_UINT32) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed, to parse the message!\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed, to parse the message!\n");
             ret = EIO;
             err_msg = "Invalid D-Bus message format";
             goto fail;
@@ -1570,7 +1570,7 @@ static int be_sudo_handler(DBusMessage *message, struct sbus_connection *conn)
 
         sudo_req->rules = talloc_array(sudo_req, char*, rules_num + 1);
         if (sudo_req->rules == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_array failed.\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "talloc_array failed.\n");
             ret = ENOMEM;
             goto fail;
         }
@@ -1579,13 +1579,13 @@ static int be_sudo_handler(DBusMessage *message, struct sbus_connection *conn)
         for (i = 0; i < rules_num; i++) {
             iter_next = dbus_message_iter_next(&iter);
             if (iter_next == FALSE) {
-                DEBUG(SSSDBG_CRIT_FAILURE, ("Failed, to parse the message!\n"));
+                DEBUG(SSSDBG_CRIT_FAILURE, "Failed, to parse the message!\n");
                 ret = EIO;
                 err_msg = "Invalid D-Bus message format";
                 goto fail;
             }
             if (dbus_message_iter_get_arg_type(&iter) != DBUS_TYPE_STRING) {
-                DEBUG(SSSDBG_CRIT_FAILURE, ("Failed, to parse the message!\n"));
+                DEBUG(SSSDBG_CRIT_FAILURE, "Failed, to parse the message!\n");
                 ret = EIO;
                 err_msg = "Invalid D-Bus message format";
                 goto fail;
@@ -1594,7 +1594,7 @@ static int be_sudo_handler(DBusMessage *message, struct sbus_connection *conn)
             dbus_message_iter_get_basic(&iter, &rule);
             sudo_req->rules[i] = talloc_strdup(sudo_req->rules, rule);
             if (sudo_req->rules[i] == NULL) {
-                DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strdup failed.\n"));
+                DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strdup failed.\n");
                 ret = ENOMEM;
                 goto fail;
             }
@@ -1604,7 +1604,7 @@ static int be_sudo_handler(DBusMessage *message, struct sbus_connection *conn)
 
         break;
     default:
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Invalid request type %d\n", sudo_req->type));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Invalid request type %d\n", sudo_req->type);
         ret = EINVAL;
         err_msg = "Invalid DP request type";
         goto fail;
@@ -1614,7 +1614,7 @@ static int be_sudo_handler(DBusMessage *message, struct sbus_connection *conn)
 
     /* return an error if corresponding backend target is not configured */
     if (!be_cli->bectx->bet_info[BET_SUDO].bet_ops) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Undefined backend target.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Undefined backend target.\n");
         ret = ENODEV;
         goto fail;
     }
@@ -1623,7 +1623,7 @@ static int be_sudo_handler(DBusMessage *message, struct sbus_connection *conn)
                           be_req,
                           be_cli->bectx->bet_info[BET_SUDO].bet_ops->handler);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("be_file_request failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "be_file_request failed.\n");
         err_msg = "Cannot file back end request";
         goto fail;
     }
@@ -1659,17 +1659,17 @@ static int be_autofs_handler(DBusMessage *message, struct sbus_connection *conn)
     dbus_uint32_t err_min;
     const char *err_msg;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Entering be_autofs_handler()\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Entering be_autofs_handler()\n");
 
     user_data = sbus_conn_get_private_data(conn);
     if (user_data == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot get SBUS private data\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Cannot get SBUS private data\n");
         return EINVAL;
     }
 
     be_cli = talloc_get_type(user_data, struct be_client);
     if (be_cli == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot get back end client context\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Cannot get back end client context\n");
         return EINVAL;
     }
 
@@ -1680,7 +1680,7 @@ static int be_autofs_handler(DBusMessage *message, struct sbus_connection *conn)
                                 DBUS_TYPE_STRING, &filter,
                                 DBUS_TYPE_INVALID);
     if (!ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed, to parse message!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed, to parse message!\n");
         if (dbus_error_is_set(&dbus_error)) dbus_error_free(&dbus_error);
         return EIO;
     }
@@ -1688,7 +1688,7 @@ static int be_autofs_handler(DBusMessage *message, struct sbus_connection *conn)
     reply = dbus_message_new_method_return(message);
     if (!reply) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("dbus_message_new_method_return failed, cannot send reply.\n"));
+              "dbus_message_new_method_return failed, cannot send reply.\n");
         return ENOMEM;
     }
 
@@ -1708,8 +1708,8 @@ static int be_autofs_handler(DBusMessage *message, struct sbus_connection *conn)
                                          DBUS_TYPE_INVALID);
         if (!dbret) return EIO;
 
-        DEBUG(SSSDBG_TRACE_LIBS, ("Request processed. Returned %d,%d,%s\n",
-              err_maj, err_min, err_msg));
+        DEBUG(SSSDBG_TRACE_LIBS, "Request processed. Returned %d,%d,%s\n",
+              err_maj, err_min, err_msg);
 
         sbus_conn_send_reply(conn, reply);
         dbus_message_unref(reply);
@@ -1742,7 +1742,7 @@ static int be_autofs_handler(DBusMessage *message, struct sbus_connection *conn)
     be_req = be_req_create(be_cli, be_cli, be_cli->bectx,
                            be_autofs_handler_callback, reply);
     if (be_req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_zero failed.\n");
         err_maj = DP_ERR_FATAL;
         err_min = ENOMEM;
         err_msg = "Out of memory";
@@ -1752,7 +1752,7 @@ static int be_autofs_handler(DBusMessage *message, struct sbus_connection *conn)
     /* set autofs request data */
     be_autofs_req = talloc_zero(be_req, struct be_autofs_req);
     if (be_autofs_req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_zero failed.\n");
         err_maj = DP_ERR_FATAL;
         err_min = ENOMEM;
         err_msg = "Out of memory";
@@ -1761,7 +1761,7 @@ static int be_autofs_handler(DBusMessage *message, struct sbus_connection *conn)
 
     be_autofs_req->mapname = talloc_strdup(be_autofs_req, filter_val);
     if (be_autofs_req->mapname == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strdup failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strdup failed.\n");
         err_maj = DP_ERR_FATAL;
         err_min = ENOMEM;
         err_msg = "Out of memory";
@@ -1778,7 +1778,7 @@ static int be_autofs_handler(DBusMessage *message, struct sbus_connection *conn)
     be_req->req_data = be_autofs_req;
 
     if (!be_cli->bectx->bet_info[BET_AUTOFS].bet_ops) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Undefined backend target.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Undefined backend target.\n");
         err_maj = DP_ERR_FATAL;
         err_min = ENODEV;
         err_msg = "Autofs back end target is not configured";
@@ -1789,7 +1789,7 @@ static int be_autofs_handler(DBusMessage *message, struct sbus_connection *conn)
                           be_req,
                           be_cli->bectx->bet_info[BET_AUTOFS].bet_ops->handler);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("be_file_request failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "be_file_request failed.\n");
         err_maj = DP_ERR_FATAL;
         err_min = ENODEV;
         err_msg = "Cannot file back end request";
@@ -1811,8 +1811,8 @@ done:
                                          DBUS_TYPE_INVALID);
         if (!dbret) return EIO;
 
-        DEBUG(SSSDBG_TRACE_LIBS, ("Request processed. Returned %d,%d,%s\n",
-              err_maj, err_min, err_msg));
+        DEBUG(SSSDBG_TRACE_LIBS, "Request processed. Returned %d,%d,%s\n",
+              err_maj, err_min, err_msg);
 
         /* send reply back */
         sbus_conn_send_reply(conn, reply);
@@ -1851,7 +1851,7 @@ static void be_autofs_handler_callback(struct be_req *req,
         }
         if (!err_msg) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Failed to set err_msg, Out of memory?\n"));
+                  "Failed to set err_msg, Out of memory?\n");
             err_msg = "OOM";
         }
 
@@ -1861,13 +1861,13 @@ static void be_autofs_handler_callback(struct be_req *req,
                                          DBUS_TYPE_STRING, &err_msg,
                                          DBUS_TYPE_INVALID);
         if (!dbret) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to generate dbus reply\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to generate dbus reply\n");
             return;
         }
 
         dbus_conn = sbus_get_connection(req->becli->conn);
         if (!dbus_conn) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("D-BUS not connected\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "D-BUS not connected\n");
             return;
         }
 
@@ -1875,8 +1875,8 @@ static void be_autofs_handler_callback(struct be_req *req,
         dbus_message_unref(reply);
 
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("Request processed. Returned %d,%d,%s\n",
-               err_maj, err_min, err_msg));
+              "Request processed. Returned %d,%d,%s\n",
+               err_maj, err_min, err_msg);
     }
 
     /* finally free the request */
@@ -1913,13 +1913,13 @@ static int be_host_handler(DBusMessage *message, struct sbus_connection *conn)
                                 DBUS_TYPE_STRING, &filter,
                                 DBUS_TYPE_INVALID);
     if (!ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed, to parse message!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed, to parse message!\n");
         if (dbus_error_is_set(&dbus_error)) dbus_error_free(&dbus_error);
         return EIO;
     }
 
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Got request for [%u][%s]\n", flags, filter));
+          "Got request for [%u][%s]\n", flags, filter);
 
     reply = dbus_message_new_method_return(message);
     if (!reply) return ENOMEM;
